package org.dromara.system.service.info;


import org.dromara.system.domain.bo.XiaoyuanInfoBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.system.domain.info.bo.InfoPingLunBo;
import org.dromara.system.domain.info.vo.XiaoyuanInfoVo;

import java.util.Collection;
import java.util.List;

/**
 * 校园安全信息Service接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface IXiaoyuanInfoService {

    /**
     * 查询校园安全信息
     */
    XiaoyuanInfoVo queryById(Long infoId);

    /**
     * 查询校园安全信息列表
     */
    TableDataInfo<XiaoyuanInfoVo> queryPageList(XiaoyuanInfoBo bo, PageQuery pageQuery);

    /**
     * 查询校园安全信息列表
     */
    List<XiaoyuanInfoVo> queryList(XiaoyuanInfoBo bo);

    /**
     * 新增校园安全信息
     */
    Boolean insertByBo(XiaoyuanInfoBo bo);

    /**
     * 修改校园安全信息
     */
    Boolean updateByBo(XiaoyuanInfoBo bo);

    /**
     * 校验并批量删除校园安全信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
    /**
     * 新增校园安全信息评论
     */
    Boolean insertInfoPingLun(InfoPingLunBo bo);

    /**
     * 删除评论
     * @param bo
     * @return
     */
    public int deletePingLun(InfoPingLunBo bo);
    /**
     * 点赞接口
     * @param bo
     * @return
     */
    public int dianZan(XiaoyuanInfoBo bo);
    /**
     * 转发接口
     * @param bo
     * @return
     */
    public int zhuanFa(XiaoyuanInfoBo bo);
}
